Announcement Announcement Module
Collapse
No announcement yet.
Spring Integration 1.0 Release Candidate 2 run error Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Spring Integration 1.0 Release Candidate 2 run error

    Hi:
    The 1.0 r2 candidate give the followin error when running the sample from eclipse:
    Code:
    Exception in thread "main" org.springframework.beans.factory.parsing.BeanDefinitionParsingException: Configuration problem: Unable to locate Spring NamespaceHandler for XML schema namespace [http://www.springframework.org/schema/integration/file]
    Offending resource: class path resource [fileCopyDemo-text.xml]
    Cheers
    Javier

  • #2
    Did you import the existing project for the samples?

    Comment


    • #3
      Hi;

      No, just the source and the libraries

      Comment


      • #4
        Okay, in that case, you just need to be sure that the 'org.springframework.integration.file' module (JAR or Eclipse project) is included in the dependencies.

        Note also that the 'readme.txt' file describes how to import all Spring Integration modules as Eclipse projects. Here is the relevant excerpt:

        To run the code within Eclipse, do the following:

        Import... > General > Existing Projects into Workspace
        Browse to the directory where you checked out the project
        Select each module that begins with "org.springframework.integration"
        Define a Classpath Variable named IVY_CACHE under "Preferences > Java > Build Path"
        Its value should be: <checkout-dir>/ivy-cache/repository
        Hope that helps.
        -Mark

        Comment


        • #5
          Hi:
          Sure, i follow the step in a previous release and go fine i forget that and has eclipse point to the last install, i will make the changes and tell you how is going on.

          Thanks

          Javier

          Comment

          Working...
          X